Brand Kit
List brand kit colors
GET
/v1/brandkit/{id}/colors Retrieve the colors of a workspace brand kit.
Request
curl "https://api.rendley.com/v1/brandkit/ID/colors" \
-H "Authorization: Bearer YOUR_API_KEY" const res = await fetch("https://api.rendley.com/v1/brandkit/ID/colors", {
headers: { Authorization: "Bearer YOUR_API_KEY" },
});
const { data } = await res.json(); import requests
res = requests.get(
"https://api.rendley.com/v1/brandkit/ID/colors",
headers={"Authorization": "Bearer YOUR_API_KEY"},
)
data = res.json()["data"] Path parameters
| Name | Type | Description |
|---|---|---|
id | string | Workspace ID |
Example response
{
"data": [
{
"id": "string",
"value": "string"
}
]
} Response codes
| Status | Description |
|---|---|
200 | OK |
401 | Unauthorized |
Add a brand kit color
POST
/v1/brandkit/{id}/colors Add a color to a workspace brand kit.
Request
curl -X POST "https://api.rendley.com/v1/brandkit/ID/colors" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"color": "<color>"
}' const res = await fetch("https://api.rendley.com/v1/brandkit/ID/colors", {
method: "POST",
headers: { Authorization: "Bearer YOUR_API_KEY", "Content-Type": "application/json" },
body: JSON.stringify({
"color": "<color>"
}),
});
const { data } = await res.json(); import requests
res = requests.post(
"https://api.rendley.com/v1/brandkit/ID/colors",
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"color": "<color>"
},
)
data = res.json()["data"] Path parameters
| Name | Type | Description |
|---|---|---|
id | string | Workspace ID |
Request body
| Name | Type | Required | Description |
|---|---|---|---|
color | string | Required |
Example response
{
"data": {
"id": "string",
"value": "string"
}
} Response codes
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
401 | Unauthorized |
403 | Forbidden |
Delete a brand kit color
DELETE
/v1/brandkit/{id}/colors Remove a color from a workspace brand kit.
Request
curl -X DELETE "https://api.rendley.com/v1/brandkit/ID/colors" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"color_id": "<color_id>"
}' const res = await fetch("https://api.rendley.com/v1/brandkit/ID/colors", {
method: "DELETE",
headers: { Authorization: "Bearer YOUR_API_KEY", "Content-Type": "application/json" },
body: JSON.stringify({
"color_id": "<color_id>"
}),
});
const { data } = await res.json(); import requests
res = requests.delete(
"https://api.rendley.com/v1/brandkit/ID/colors",
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"color_id": "<color_id>"
},
)
data = res.json()["data"] Path parameters
| Name | Type | Description |
|---|---|---|
id | string | Workspace ID |
Request body
| Name | Type | Required | Description |
|---|---|---|---|
color_id | string | Required |
Response codes
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
401 | Unauthorized |
403 | Forbidden |
Get brand kit overview
GET
/v1/brandkit/{id}/overview Retrieve a brand kit overview grouped by category for a workspace.
Request
curl "https://api.rendley.com/v1/brandkit/ID/overview" \
-H "Authorization: Bearer YOUR_API_KEY" const res = await fetch("https://api.rendley.com/v1/brandkit/ID/overview", {
headers: { Authorization: "Bearer YOUR_API_KEY" },
});
const { data } = await res.json(); import requests
res = requests.get(
"https://api.rendley.com/v1/brandkit/ID/overview",
headers={"Authorization": "Bearer YOUR_API_KEY"},
)
data = res.json()["data"] Path parameters
| Name | Type | Description |
|---|---|---|
id | string | Workspace ID |
Example response
{
"data": [
{
"assets": [
{
"asset_type": "string",
"duration": 0,
"height": 0,
"id": "string",
"mime_type": "string",
"original_file_name": "string",
"source_url": "string",
"width": 0
}
],
"category_id": "string",
"category_name": "string"
}
]
} Response codes
| Status | Description |
|---|---|
200 | OK |
401 | Unauthorized |
List brand kit uploads
GET
/v1/brandkit/{id}/uploads Retrieve the uploaded assets of a workspace brand kit.
Request
curl "https://api.rendley.com/v1/brandkit/ID/uploads" \
-H "Authorization: Bearer YOUR_API_KEY" const res = await fetch("https://api.rendley.com/v1/brandkit/ID/uploads", {
headers: { Authorization: "Bearer YOUR_API_KEY" },
});
const { data } = await res.json(); import requests
res = requests.get(
"https://api.rendley.com/v1/brandkit/ID/uploads",
headers={"Authorization": "Bearer YOUR_API_KEY"},
)
data = res.json()["data"] Path parameters
| Name | Type | Description |
|---|---|---|
id | string | Workspace ID |
Example response
{
"data": [
{
"asset_type": "string",
"duration": 0,
"height": 0,
"id": "string",
"mime_type": "string",
"original_file_name": "string",
"source_url": "string",
"width": 0
}
]
} Response codes
| Status | Description |
|---|---|
200 | OK |
401 | Unauthorized |
Create a brand kit upload
POST
/v1/brandkit/{id}/uploads Initiate an upload of an asset to a workspace brand kit.
Request
curl -X POST "https://api.rendley.com/v1/brandkit/ID/uploads" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"asset_type": "<asset_type>",
"file_size": 0,
"mime_type": "<mime_type>"
}' const res = await fetch("https://api.rendley.com/v1/brandkit/ID/uploads", {
method: "POST",
headers: { Authorization: "Bearer YOUR_API_KEY", "Content-Type": "application/json" },
body: JSON.stringify({
"asset_type": "<asset_type>",
"file_size": 0,
"mime_type": "<mime_type>"
}),
});
const { data } = await res.json(); import requests
res = requests.post(
"https://api.rendley.com/v1/brandkit/ID/uploads",
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"asset_type": "<asset_type>",
"file_size": 0,
"mime_type": "<mime_type>"
},
)
data = res.json()["data"] Path parameters
| Name | Type | Description |
|---|---|---|
id | string | Workspace ID |
Request body
| Name | Type | Required | Description |
|---|---|---|---|
asset_type | string | Required | |
duration | number | Optional | |
file_size | integer | Required | |
height | integer | Optional | |
mime_type | string | Required | |
original_file_name | string | Optional | |
width | integer | Optional |
Response codes
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
401 | Unauthorized |
403 | Forbidden |
Delete a brand kit upload
DELETE
/v1/brandkit/{id}/uploads Remove an uploaded asset from a workspace brand kit.
Request
curl -X DELETE "https://api.rendley.com/v1/brandkit/ID/uploads" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"upload_id": "<upload_id>"
}' const res = await fetch("https://api.rendley.com/v1/brandkit/ID/uploads", {
method: "DELETE",
headers: { Authorization: "Bearer YOUR_API_KEY", "Content-Type": "application/json" },
body: JSON.stringify({
"upload_id": "<upload_id>"
}),
});
const { data } = await res.json(); import requests
res = requests.delete(
"https://api.rendley.com/v1/brandkit/ID/uploads",
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"upload_id": "<upload_id>"
},
)
data = res.json()["data"] Path parameters
| Name | Type | Description |
|---|---|---|
id | string | Workspace ID |
Request body
| Name | Type | Required | Description |
|---|---|---|---|
upload_id | string | Required |
Response codes
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
401 | Unauthorized |
403 | Forbidden |
Complete a brand kit upload
POST
/v1/brandkit/{id}/uploads/complete Finalize a previously initiated brand kit upload.
Request
curl -X POST "https://api.rendley.com/v1/brandkit/ID/uploads/complete" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"upload_id": "<upload_id>"
}' const res = await fetch("https://api.rendley.com/v1/brandkit/ID/uploads/complete", {
method: "POST",
headers: { Authorization: "Bearer YOUR_API_KEY", "Content-Type": "application/json" },
body: JSON.stringify({
"upload_id": "<upload_id>"
}),
});
const { data } = await res.json(); import requests
res = requests.post(
"https://api.rendley.com/v1/brandkit/ID/uploads/complete",
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"upload_id": "<upload_id>"
},
)
data = res.json()["data"] Path parameters
| Name | Type | Description |
|---|---|---|
id | string | Workspace ID |
Request body
| Name | Type | Required | Description |
|---|---|---|---|
upload_id | string | Required |
Response codes
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
401 | Unauthorized |
403 | Forbidden |
List brand kit categories
GET
/v1/brandkit/categories Retrieve the fixed set of brand kit categories.
Request
curl "https://api.rendley.com/v1/brandkit/categories" \
-H "Authorization: Bearer YOUR_API_KEY" const res = await fetch("https://api.rendley.com/v1/brandkit/categories", {
headers: { Authorization: "Bearer YOUR_API_KEY" },
});
const { data } = await res.json(); import requests
res = requests.get(
"https://api.rendley.com/v1/brandkit/categories",
headers={"Authorization": "Bearer YOUR_API_KEY"},
)
data = res.json()["data"] Example response
{
"data": [
{
"id": "string",
"name": "string"
}
]
} Response codes
| Status | Description |
|---|---|
200 | OK |
401 | Unauthorized |